X
Tap here to go to the mobile version of the site.

Support Forum

wmv files not playing within firefox 4.4 windows 7 with wmp12

Posted

Hi,

Im using windows 7 ultimate with firefox 4 beta 4. I am able to view wmv files in IE8, but i am unable to play the same in ff. It asks me to download a plug in and then asks me to download windows media player 11. I already have a full version of windows media player 12 on my system so why is it asking me to download an older version? Also, i am unable to find any updated plugins for the same which works or is applicable for ff 4 beta and windows 7.

Do let me know how i can fix this problem.

Hi, Im using windows 7 ultimate with firefox 4 beta 4. I am able to view wmv files in IE8, but i am unable to play the same in ff. It asks me to download a plug in and then asks me to download windows media player 11. I already have a full version of windows media player 12 on my system so why is it asking me to download an older version? Also, i am unable to find any updated plugins for the same which works or is applicable for ff 4 beta and windows 7. Do let me know how i can fix this problem.

Additional System Details

Installed Plug-ins

  • Version 1.3.1.0
  • Google Talk Plugin Video Accelerator version:0.1.43.2
  • Provides additional functionality on Facebook. See our web site for details.
  • Google Update
  • Shockwave Flash 10.1 r53
  • iTunes Detector Plug-in
  • DivX Web Player version 2.0.2.39
  • Windows Activation Technologies Plugin for Mozilla
  • 4.0.50524.0
  • Office Authorization plug-in for NPAPI browsers
  • The plug-in allows you to open and edit files using Microsoft Office applications
  • Next Generation Java Plug-in 1.6.0_20 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.1; rv:2.0b4) Gecko/20100818 Firefox/4.0b4

More Information

wmv files not playing within ff 4.

TonyE
  • Moderator
1034 solutions 8840 answers

WMP does not include the plugin used by Firefox. You can download the plugin from http://port25.technet.com/pages/windows-media-player-firefox-plugin-download.aspx

If after running the setup file for the plugin, Firefox 4 beta can still not access WMP, you will need to copy the plugin into the Firefox 4 installation directory.

You will then need to create a folder called plugins inside the Firefox 4 beta installation directory. The default location for the installation is C:\Program Files\Mozilla Firefox 4.0 Beta 4\

Create a folder inside that location called plugins

If you are having trouble finding where Firefox 4 has been installed, you can right-click on the shortcut you use to start Firefox 4 and choose Properties, the location where it is installed will be on the General tab.

Search your computer for a file called np-mswmp.dll, copy this file into the newly created plugins folder.

WMP does not include the plugin used by Firefox. You can download the plugin from http://port25.technet.com/pages/windows-media-player-firefox-plugin-download.aspx If after running the setup file for the plugin, Firefox 4 beta can still not access WMP, you will need to copy the plugin into the Firefox 4 installation directory. You will then need to create a folder called plugins inside the Firefox 4 beta installation directory. The default location for the installation is C:\Program Files\Mozilla Firefox 4.0 Beta 4\ Create a folder inside that location called plugins If you are having trouble finding where Firefox 4 has been installed, you can right-click on the shortcut you use to start Firefox 4 and choose Properties, the location where it is installed will be on the General tab. Search your computer for a file called ''np-mswmp.dll'', copy this file into the newly created plugins folder.
raheel.ejaz 0 solutions 1 answers

@ tonyE thanks you its working now

@ tonyE thanks you its working now
rava1reg 0 solutions 1 answers

Helpful Reply

I did everything as recommended with zero succes ! However in my case the FireFox 4 beta version installer turned out Minefield 4.0b8pre. Does that fact make any difference? The installation directories are completely different from those mentionened in your post ! Please help.

I did everything as recommended with zero succes ! However in my case the FireFox 4 beta version installer turned out Minefield 4.0b8pre. Does that fact make any difference? The installation directories are completely different from those mentionened in your post ! Please help.

Modified by rava1reg

alberto70 0 solutions 2 answers

I installed several time the plugin but can't find np-mswmp.dll to copy in folder plugins.thanks a.

I installed several time the plugin but can't find np-mswmp.dll to copy in folder plugins.thanks a.
alberto70 0 solutions 2 answers

done !! it did not have that name the file to be copied , but the firefox logo. thanks

done !! it did not have that name the file to be copied , but the firefox logo. thanks
TonyE
  • Moderator
1034 solutions 8840 answers

For those using Windows 7 and the Firefox 4 beta builds or Firefox 3.6, an alternative way to get the WMP plugin is to install the HTML5 Extension for Windows Media Player Firefox Plug-in available from http://www.interoperabilitybridges.com/html5-extension-for-wmp-plugin

This is a new extension released by Microsoft a few weeks ago, as well as installing the plugin it adds some new functionality to the plugin, see the above link for details.

For those using Windows 7 and the Firefox 4 beta builds or Firefox 3.6, an alternative way to get the WMP plugin is to install the HTML5 Extension for Windows Media Player Firefox Plug-in available from http://www.interoperabilitybridges.com/html5-extension-for-wmp-plugin This is a new extension released by Microsoft a few weeks ago, as well as installing the plugin it adds some new functionality to the plugin, see the above link for details.
barq 0 solutions 1 answers

Helpful Reply

@ TonyE: Not compatible with Firefox 4.0-final, but it was worth a try. Thanks, anyway. (Windows Home Premium 64, Firefox 4.0 final)

@ TonyE: Not compatible with Firefox 4.0-final, but it was worth a try. Thanks, anyway. (Windows Home Premium 64, Firefox 4.0 final)

Modified by barq